This queue is for tickets about the QtCore CPAN distribution.

Report information
The Basics
Id:
46296
Status:
new
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
nuclon [...] gmail.com
Cc:
AdminCc:

BugTracker
Severity:
Critical
Broken in:
4.004
Fixed in:
(no value)



Subject: Build problem at Debian Lenny
OS: Debian 5.0 Qt version - 4.5.1-2 Perl - 5.10.0-22 trying to build QtCore: # perl Makefile.PL -i /usr/include/qt4 -qc /usr/include/qt4/QtCore ... # make .... g++ -c -I/usr/include/qt4 -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -DVERSION=\"4.004\" -DXS_VERSION=\"4.004\" -fPIC "-I/usr/lib/perl/5.10/CORE" QAbstractFileEngine.c QAbstractFileEngine.xs: In function ‘void XS_Qt__QAbstractFileEngine_extension(PerlInterpreter*, CV*)’: QAbstractFileEngine.xs:253: error: ‘ExtensionOption’ was not declared in this scope QAbstractFileEngine.xs:253: error: ‘option’ was not declared in this scope QAbstractFileEngine.xs:255: error: expected primary-expression before ‘)’ token QAbstractFileEngine.xs:264: error: ‘ExtensionOption’ was not declared in this scope QAbstractFileEngine.xs:264: error: ‘option’ was not declared in this scope QAbstractFileEngine.xs:265: error: ‘ExtensionReturn’ was not declared in this scope QAbstractFileEngine.xs:265: error: ‘output’ was not declared in this scope QAbstractFileEngine.xs:267: error: expected primary-expression before ‘)’ token QAbstractFileEngine.xs:270: error: expected primary-expression before ‘)’ token QAbstractFileEngine.c: In function ‘void boot_Qt__QAbstractFileEngine(PerlInterpreter*, CV*)’: QAbstractFileEngine.c:1209: warning: deprecated conversion from string constant to ‘char*’


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.